Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`service`.`InMemoryWordsRealm``

class documentation

`class InMemoryWordsRealm(WordsRealm): (source)`

Constructor: `InMemoryWordsRealm(*a, **kw)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `addGroup` | Add the given group to this service.
Method | `addUser` | Add the given user to this service.
Method | `itergroups` | Return all groups available on this service.
Method | `lookupGroup` | Retrieve a group by name.
Method | `lookupUser` | Undocumented
Instance Variable | `groups` | Undocumented
Instance Variable | `users` | Undocumented

Inherited from `WordsRealm`:

Method | `createGroup` | Create a new group with the given name.
Method | `createUser` | Create a new user with the given name.
Method | `getGroup` | Retrieve the group by the given name.
Method | `getUser` | Retrieve the user by the given name.
Method | `groupFactory` | Undocumented
Method | `logoutFactory` | Undocumented
Method | `requestAvatar` | Return avatar which provides one of the given interfaces.
Method | `userFactory` | Undocumented
Class Variable | `createGroupOnRequest` | A boolean indicating whether `getGroup` should implicitly create groups which are requested but which do not yet exist.
Class Variable | `createUserOnRequest` | A boolean indicating whether `getUser` should implicitly create users which are requested but which do not yet exist.
Instance Variable | `name` | A short string identifying this chat service (eg, a hostname)
Class Variable | `_encoding` | Undocumented

def __init__(self, *a, **kw): (source)
overrides `twisted.words.service.WordsRealm.__init__`

Undocumented

def addGroup(self, group): (source)
overrides `twisted.words.service.WordsRealm.addGroup`

Add the given group to this service.

Parameters
group:`IGroup` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with `None` when the group is added, or which fails with `twisted.words.ewords.DuplicateGroup` if a group with the same name exists already.

def addUser(self, user): (source)
overrides `twisted.words.service.WordsRealm.addUser`

Add the given user to this service.

This is an internal method intended to be overridden by `WordsRealm` subclasses, not called by external code.

Parameters
user:`IUser` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with `None` when the user is added, or which fails with `twisted.words.ewords.DuplicateUser` if a user with the same name exists already.

def itergroups(self): (source)
from `twisted.words.iwords.IChatService`
overrides `twisted.words.service.WordsRealm.itergroups`

Return all groups available on this service.

Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with a list of `IGroup` providers.

def lookupGroup(self, name): (source)
from `twisted.words.iwords.IChatService`
overrides `twisted.words.service.WordsRealm.lookupGroup`

Retrieve a group by name.

Unlike `getGroup`, this will never implicitly create a group.

Parameters
name:`str` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with the group by the given name, or which fails with `twisted.words.ewords.NoSuchGroup`.

def lookupUser(self, name): (source)
overrides `twisted.words.service.WordsRealm.lookupUser`

Undocumented

groups: `dict` = (source)

Undocumented

users: `dict` = (source)

Undocumented